package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class StudentVipGroupDetailDto extends StudentVipGroupShowListDto {

    @ApiModelProperty(value = "总课时")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "授课地点")
    private String address;

    @ApiModelProperty(value = "教师vip课申请数量")
    private Integer numberOfClasses;

    @ApiModelProperty(value = "课程列表",required = false)
    private List<CourseSchedule> courseSchedules;

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Integer getNumberOfClasses() {
        return numberOfClasses;
    }

    public void setNumberOfClasses(Integer numberOfClasses) {
        this.numberOfClasses = numberOfClasses;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public List<CourseSchedule> getCourseSchedules() {
        return courseSchedules;
    }

    public void setCourseSchedules(List<CourseSchedule> courseSchedules) {
        this.courseSchedules = courseSchedules;
    }
}
